Bug 927246 - (CVE-2013-1831) CVE-2013-1831 moodle: Server information revealed through exception messages (MSA-13-0013)
CVE-2013-1831 moodle: Server information revealed through exception messages ...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20130325,reported=2...
: Security
Depends On: 927264 927267 927273
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-25 09:37 EDT by Jan Lieskovsky
Modified: 2015-08-22 03:02 EDT (History)
1 user (show)

See Also:
Fixed In Version: moodle-2.4.2, moodle-2.3.5, moodle-2.2.8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-22 03:02:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2013-03-25 09:37:59 EDT
A server path information disclosure flaw was found in the way Moodle, a course management system, issued certain exceptions (server system paths were provided in selected exception messages). A remote attacker (logged in as Moodle guest) could use this flaw to obtain sensitive information.

References:
[1] http://www.openwall.com/lists/oss-security/2013/03/25/2

Relevant upstream patch:
[2] http://git.moodle.org/gw?p=moodle.git;a=commit;h=8d220cb552d9c55b98aef70e2f40ef560efeb79b
Comment 1 Jan Lieskovsky 2013-03-25 09:53:13 EDT
This issue affects the version of moodle package, as shipped with Fedora release of 18. Please schedule an update.

--

This issue (probably [*]) affects the versions of the moodle package, as shipped with Fedora release of 17 and Fedora EPEL-6.

[*] Probably because comparison of proposed upstream patch didn't conclude that patch would be applicable to those versions. But [1] advisory mentions also those versions as affected.

--

This issue did NOT affect the version of the moodle package, as shipped with Fedora EPEL-5.
Comment 2 Jan Lieskovsky 2013-03-25 10:14:10 EDT
Created moodle tracking bugs for this issue

Affects: fedora-18 [bug 927264]
Comment 3 Jan Lieskovsky 2013-03-25 10:22:17 EDT
Created moodle tracking bugs for this issue

Affects: fedora-17 [bug 927267]
Comment 4 Jan Lieskovsky 2013-03-25 10:33:52 EDT
Created moodle tracking bugs for this issue

Affects: epel-6 [bug 927273]

Note You need to log in before you can comment on or make changes to this bug.